## Useful Aliases

Just copy the `[alias]` line and subsequent lines into your `.gitconfig` file (in your home directory).

```
[alias]
  logline = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit
  lg1 = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)' --all
  lg2 = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold cyan)%aD%C(reset) %C(bold green)(%ar)%C(reset)%C(bold yellow)%d%C(reset)%n''          %C(white)%s%C(reset) %C(dim white)- %an%C(reset)' --all
  lg = !"git lg1"
  ln = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr)' --abbrev-commit
  ll = log --oneline
  lg3 = log --format='%Cred%h%Creset %s %Cgreen(%cr) %C(blue)<%an>%Creset%C(yellow)%d%Creset' --no-merges
```
  
## Core Pager

It can be quite useful to set the pager to be `less -FRSX` - it works well across bash, zsh and also git shell.

```
[core]
	pager = less -FRSX
```

For now we will utilise this as README as well, but with time it probably will need to stay in handy-notes as the readme will get too busy. Probably a good idea to put readme in each project subdirectory as well; this is what gets displayed to users browsing via the web interface.
